Name: DBMA
Version: 2.4.9
Release: 7%{?dist}

Summary: DBMailAdministrator administers all DBMail versions (incl 2.2)
License: Free to use
Group: Applications/System
Url: http://library.mobrien.com/dbmailadministrator/

Requires: httpd perl-DBI

Source:  http://library.mobrien.com/dbmailadministrator/DBMA_SQL_V2.tar.gz
Source1: DBMA-httpd.conf
Source2: dbma.htpasswd
Source3: README.AsianuxServer3
Source4: sql-mydestination.cf
Source5: sql-transport.cf

Prefix: /var/www/html
BuildArch: noarch
BuildRoot: /usr/src/packages/%{name}-%{version}/ROOT

%description
DBMailAdministrator administers all DBMail versions (incl 2.2) from a Unix or Windows Workstation while reporting on your e-mail system's health. DBMA now provides an MTA (i.e.: Postfix) GUI to store and manage Virtual Domains, Destination, Transports and Access configuration of your MTA. DBMA, the Web front end for DBMail, provides a scalable, menu-driven interface for administering e-mail; user accounts; global configs; sending & fetching email and more.

Please see %{_docdir}/%{name}-%{version}/README.AsianuxServer3 for more details.

%prep

# %setup
tar -xzvf ../SOURCES/DBMA_SQL_V2.tar.gz
cd dbmailadministrator
# package docs
mv AUTHORS BUGS CHANGES FAQ README TODO ..

%install
%__mkdir_p %buildroot/var/www/html/dbmailadministrator
%__mkdir_p %buildroot%{_sysconfdir}/httpd/conf.d
%__mkdir_p %buildroot%{_docdir}/%{name}-%{version}
%__mkdir_p %buildroot%{_sysconfdir}/postfix

cp -av dbmailadministrator %buildroot/var/www/html/

%__install -m 0644 %SOURCE1 %buildroot%{_sysconfdir}/httpd/conf.d/
%__install -m 0755 %SOURCE2 %buildroot/var/www/
%__install -m 0755 %SOURCE3 .
%__install -m 0600 %SOURCE4 %buildroot%{_sysconfdir}/postfix/
%__install -m 0600 %SOURCE5 %buildroot%{_sysconfdir}/postfix/

%files
%defattr(0755,apache,apache,750)
/var/www/html/dbmailadministrator/*
%defattr(0555,nobody,users) 
%doc AUTHORS BUGS CHANGES FAQ README* TODO 
%defattr(0444,nobody,users) 
%config /%{_sysconfdir}/httpd/conf.d/DBMA-httpd.conf
%config /var/www/dbma.htpasswd
%defattr(0700,root,root) 
%config /%{_sysconfdir}/postfix/*

%post
CHKHTTPD=`service httpd status 2>&1 >/dev/null ; echo $?`
# 0 = running, 3 = stopped
if [ "$CHKHTTPD" == "0" ]; then
  /usr/sbin/apachectl graceful
fi

%postun
CHKHTTPD=`service httpd status 2>&1 >/dev/null ; echo $?`
if [ "$CHKHTTPD" == "0" ]; then
  /usr/sbin/apachectl graceful
fi

%triggerin -- postfix
MASTER=/etc/postfix/master.cf
MAIN=/etc/postfix/main.cf

if [ -f $MAIN ]; then
  CC=`grep -c "## DBMA CUSTOMIZATION" $MAIN`
  if [ $CC == 0 ]; then
    cat << EOT >> $MAIN
##
## DBMA CUSTOMIZATION
##
#
#  Please uncomment one of the two following pairs (mydestination / transport_maps ) according to your database type.
#
#	for mysql
# mydestination = mysql:/etc/postfix/sql-mydestination.cf
# transport_maps = mysql:/etc/postfix/sql-transport.cf
#
#	for postgresql
# mydestination = pgsql:/etc/postfix/sql-mydestination.cf
# transport_maps = pgsql:/etc/postfix/sql-transport.cf
#
##
## END DBMA CUSTOMIZATION
##
EOT

  fi
fi

%changelog
* Tue Jul 29 2008 Hua Jie <jiehua@redflag-linux.com> - 2.4.9-7%{?dist}
- modify permission of directories in /var/www/html/dbmailadministrator/ to 750

* Thu Aug 15 2007 Keith Hopkins <keith.hopkins@asianux.com> - 2.4.9-6AX
- Correct typo in comments of postfix trigger (axbug 3496)

* Mon Jul 16 2007 Keith Hopkins <keith.hopkins@asianux.com> - 2.4.9-5AX
- Correct wrong permission on %doc dir (axbug 2604)

* Mon Jul 09 2007 Keith Hopkins <keith.hopkins@asianux.com> - 2.4.9-4AX
- include missing MTA table lookup files

* Wed Jul 04 2007 Keith Hopkins <keith.hopkins@asianux.com> - 2.4.9-3AX
- don't start apache if it is not running (axbug 3125)
- add README.AsianuxServer3
- general specfile cleanup

* Tue May 21 2007 Keith Hopkins <keith.hopkins@asianux.com> - 2.4.9-2AX
- fix perm problem (axbug 2645)
- define DirectoryIndex and Addtype in apache config

* Wed Feb 12 2007 Keith Hopkins <keith.hopkins@asianux.com> - 2.4.9-1AX
- Initial spec creation
